# DataExchange
TKIGES
IGESDraw

# IGESDraw_HArray1OfConnectPoint Class Reference

`#include <IGESDraw_HArray1OfConnectPoint.hxx>`

## Public Member Functions

Standard_EXPORT | IGESDraw_HArray1OfConnectPoint (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | IGESDraw_HArray1OfConnectPoint (const Standard_Integer Low, const Standard_Integer Up, const Handle(IGESDraw_ConnectPoint)&V)
Standard_EXPORT void | Init (const Handle(IGESDraw_ConnectPoint)&V)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const Handle(IGESDraw_ConnectPoint)&Value)
const Handle_IGESDraw_ConnectPoint & | Value (const Standard_Integer Index) const
Handle_IGESDraw_ConnectPoint & | ChangeValue (const Standard_Integer Index)
const IGESDraw_Array1OfConnectPoint & | Array1 () const
IGESDraw_Array1OfConnectPoint & | ChangeArray1 ()
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

IGESDraw_Array1OfConnectPoint | myArray

## Constructor & Destructor Documentation

Standard_EXPORT IGESDraw_HArray1OfConnectPoint::IGESDraw_HArray1OfConnectPoint | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT IGESDraw_HArray1OfConnectPoint::IGESDraw_HArray1OfConnectPoint | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up,
|  | const Handle(IGESDraw_ConnectPoint)& | V
| ) |

## Member Function Documentation

const IGESDraw_Array1OfConnectPoint& IGESDraw_HArray1OfConnectPoint::Array1 | ( |  | ) | const

IGESDraw_Array1OfConnectPoint& IGESDraw_HArray1OfConnectPoint::ChangeArray1 | ( |  | ) |

Handle_IGESDraw_ConnectPoint& IGESDraw_HArray1OfConnectPoint::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT const IGESDraw_HArray1OfConnectPoint::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT void IGESDraw_HArray1OfConnectPoint::Init | ( | const Handle(IGESDraw_ConnectPoint)& | V | ) |

Standard_Integer IGESDraw_HArray1OfConnectPoint::Length | ( |  | ) | const

Standard_Integer IGESDraw_HArray1OfConnectPoint::Lower | ( |  | ) | const

void IGESDraw_HArray1OfConnectPoint::SetValue | ( | const Standard_Integer | Index,
|  | const Handle(IGESDraw_ConnectPoint)& | Value
| ) |

Standard_Integer IGESDraw_HArray1OfConnectPoint::Upper | ( |  | ) | const

const Handle_IGESDraw_ConnectPoint& IGESDraw_HArray1OfConnectPoint::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

IGESDraw_Array1OfConnectPoint IGESDraw_HArray1OfConnectPoint::myArray `[private]`

The documentation for this class was generated from the following file:

- IGESDraw_HArray1OfConnectPoint.hxx